/*

 ModuleManager.java
 
 Copyright 2004 KUBO Hiroya (hiroya@sfc.keio.ac.jp).
 
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 
 http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 
 Created on 2005/02/04

 */
package net.sf.sqs_xml.editor.modules;

import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;

/**
 * @author hiroya
 *
 */
public class ModuleManager {
    LinkedHashMap modules = new LinkedHashMap();
    public ModuleManager(){
        
    }

    /**
     * @param key
     * @return
     */
    public boolean containsKey(Object key) {
        return modules.containsKey(key);
    }
    /**
     * @return
     */
    public Set entrySet() {
        return modules.entrySet();
    }
    /**
     * @param key
     * @return
     */
    public Object get(Object key) {
        return modules.get(key);
    }
    /**
     * @return
     */
    public Set keySet() {
        return modules.keySet();
    }
    /**
     * @param key
     * @param value
     * @return
     */
    public Object put(Object key, Object value) {
        return modules.put(key, value);
    }
    /**
     * @param m
     */
    public void putAll(Map m) {
        modules.putAll(m);
    }
    /**
     * @param key
     * @return
     */
    public Object remove(Object key) {
        return modules.remove(key);
    }
    /**
     * @return
     */
    public int size() {
        return modules.size();
    }
}
